Uploaded image for project: 'Maven Enforcer Plugin'
  1. Maven Enforcer Plugin
  2. MENFORCER-259

The rule BanDuplicatePomDependencyVersions is not documented

    Details

    • Type: Improvement
    • Status: Closed
    • Priority: Minor
    • Resolution: Fixed
    • Affects Version/s: 1.4.1
    • Fix Version/s: 3.0.0-M1, 3.0.0-M2, 3.0.0
    • Component/s: Standard Rules
    • Labels:
      None

      Description

      The rule BanDuplicatePomDependencyVersions can be used to fail the build if duplicate dependencies are declared directly in the POM, but this rule isn't documented in the list of standard rules.

        Attachments

          Activity

            People

            • Assignee:
              gboue Guillaume Boué
              Reporter:
              gboue Guillaume Boué
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: